%define nspr_version 4.6
%define nss_version 3.11
%define svrcore_version 4.0
%define mozldap_version 6.0
%define icu_version 3.4

Summary: Utility library for directory server administration
Name: fedora-ds-adminutil
Version: 1.1.7
Release: alt0.M41
License: LGPL
Url: http://directory.fedoraproject.org/wiki/AdminUtil
Group: System/Libraries
BuildRequires: gcc-c++
BuildRequires: libnspr-devel >= %nspr_version
BuildRequires: libnss-devel >= %nss_version
BuildRequires: libsvrcore-devel >= %svrcore_version
BuildRequires: mozldap-devel >= %mozldap_version
BuildRequires: libicu-devel >= %icu_version
BuildRequires: icu >= %icu_version

Packager: Vitaly Kuznetsov <vitty@altlinux.ru>

Source: %name-%version.tar.bz2
Patch: fedora-ds-adminutil-pkgconfig-alt0.patch

%description
%name is libraries of functions used to administer directory
servers, usually in conjunction with the admin server.  %name is
broken into two libraries - libadminutil contains the basic
functionality, and libadmsslutil contains SSL versions and wrappers
around the basic functions.  The PSET functions allow applications to
store their preferences and configuration parameters in LDAP, without
having to know anything about LDAP.  The configuration is cached in a
local file, allowing applications to function even if the LDAP server
is down.  The other code is typically used by CGI programs used for
directory server management, containing GET/POST processing code as
well as resource handling (ICU ures API).

%package devel
Summary: Development and header files for %name
Group: System/Libraries
Requires: %name = %version-%release
Requires: pkgconfig
Requires: libnspr-devel >= %nspr_version
Requires: libnss-devel >= %nss_version
Requires: libsvrcore-devel >= %svrcore_version
Requires: mozldap-devel >= %mozldap_version
Requires: libicu-devel >= %icu_version

%description devel
Development files and header files necessary to build applications
that use %name.

%prep
%setup
%patch -p1

%build
%configure --disable-tests
%__make

%install
%make_install DESTDIR=%buildroot install
rm -f %buildroot%_libdir/lib*.a
rm -f %buildroot%_libdir/lib*.la

%post -p %post_ldconfig
%postun -p %post_ldconfig

%files
%doc LICENSE README NEWS
%_libdir/*.so.*
%_datadir/adminutil

%files devel
%_pkgconfigdir/adminutil.pc
%_libdir/*.so
%_includedir/libadminutil
%_includedir/libadmsslutil

%changelog
* Sat Sep 06 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.7-alt0.M41
- M41 backport

* Sat Sep 06 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.7-alt1
- 1.1.7

* Wed May 07 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.6-alt1
- 1.1.6

* Tue Jan 08 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.5-alt2
- Fedora-DS 1.1 Final release

* Tue Oct 30 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.5-alt1.20071030
- CVS snapshot 20071030
- bump version to 1.1.5

* Mon Oct 29 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.2-alt1.20071008.1
- Rebuild with new ICU

* Mon Oct 08 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.2-alt1.20071008
- CVS snapshot 20071008

* Wed May 30 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.1-alt0
- Initial

* Wed May 23 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.1-3
- more fedora review stuff - use macros consistently
- make sure install preserves timestamps
- use lgpl instead of gpl for acclanglist.c
- fix undefined weak symbols in libadmsslutil

* Fri May 18 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.1-2
- pkgconfig is a requires not a build requires

* Thu May 17 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.1-1
- Many bug fixes - bumped version to 1.1.1
- fixed concerns from Fedora package review

* Wed Mar 28 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.0-1
- Initial version - based largely on svrcore.spec
